<?php

namespace Packages\Product\Http\Controllers;

use App\Http\Controllers\Controller;
use Packages\Product\Models\Category;
use Illuminate\Http\Request;
use Packages\Product\Models\Product;


class CategoryController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }


    public function index()
    {
        $categories = Category::orderBy('id', 'DESC')->paginate(20);


        return view('product::categories.index', compact('categories'));
    }


    public function create()
    {
        $categories = Category::orderBy('id', 'DESC')->paginate(20);

        return view('product::categories.create', compact('categories'));
    }


    public function store(Request $request)
    {

//        dd($request->all());
        $p = Category::create($request->all());


        $msg = 'ذخیره محصول با موفقیت انجام شد ';
        return redirect(route('categories-products.index'))->with('success', $msg);
    }


    public function show(Category $category)
    {

    }


    public function edit(Category $category)
    {


        return view('product::categories.edit', compact('category'));
    }


    public function update(Request $request, Category $category)
    {

        try {
            $category->update($request->all());

        } catch (\Exception $exception) {
            switch ($exception->getCode()) {
                case 23000:
                    $msg = 'عنوان وارد شده تکراری است';
            }
            return redirect(route('categories-products.index'))->with('warning', $msg);
        }
        $msg = 'ذخیره محصول با موفقیت انجام شد ';
        return redirect(route('categories-products.index'))->with('success', $msg);
    }


    public function destroy(Category $category)
    {
        $category->delete();
        {
            return back();
    }
    }
}
