@component('panel.layouts.component', ['title' => 'ویرایش محصول جدید'])

    @slot('style')
        <style>
            .card-header {
                text-align: center !important;
            }

            .form-control {

                background-color: hsl(315, 22%, 86%);
            }
            .required{
                color:red;
            }
            .py-5 {
                padding-top: 0 !important;
            }
        </style>
    @endslot
    @slot('subject')
        <h1><i class="fa fa-users"></i>ویرایش محصولات </h1>
        <p>ویرایش محصول در فروشگاه.</p>
    @endslot
    @slot('breadcrumb')
        <li class="breadcrumb-item">محصولات</li>
    @endslot

    @slot('content')
        <div class="auth-background h-auto py-5">
            <div class="container py-5">
                <div class="row align-items-center">
                    <div class="col-lg-11 col-md-11 mx-auto">
                        <div class="card">
                            <div class="card-header"><strong>{{ __('ثبت محصول جدید') }}</strong></div>



                                <div class="card-body mx-lg-5 px-lg-3">
                                    <form method="POST" action="{{ route('products.update',$product->id) }}">
                                        @csrf
                                        @if ($product)
                                            @method('PUT')
                                        @endif

                                        <div class="form-group">
                                            <label for="title">{{ __('نام محصول جدید') }}</label><i class="required">&nbsp; *</i>
                                            <input id="title" type="text"
                                                   class="form-control @error('title') is-invalid @enderror"
                                                   name="title"
                                                   value="{{$product->title}}" required autocomplete="title" autofocus>

                                            @error('title')
                                            <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                            @enderror

                                        </div>

                                        <div class="form-group">
                                            <label for="slug">  {{ __('slug  ') }}</label>
                                            <input id="slug" type="text"
                                                   class="form-control @error('slug') is-invalid @enderror"
                                                   name="slug" value="{{$product->slug}}"
                                                   required autocomplete="slug" autofocus>

                                            @error('slug')
                                            <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                            @enderror

                                        </div>
                                        <div class="form-group">
                                            <label for="sku">  {{ __(' sku  ') }}</label><i class="required">&nbsp; *</i>
                                            <input id="sku" type="text"
                                                   class="form-control @error('sku') is-invalid @enderror"
                                                   name="sku" value="{{$product->sku}}" required
                                                   autocomplete="sku" autofocus>

                                            @error('sku')
                                            <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                            @enderror

                                        </div>

                                        <div class="form-group">
                                            <label for="price">  {{ __('قیمت  ') }}</label><i class="required">&nbsp; *</i>
                                            <input id="price" type="text"
                                                   class="form-control @error('price') is-invalid @enderror"
                                                   name="price"
                                                   value="{{$product->price}}" required autocomplete="price" autofocus>

                                            @error('price')
                                            <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                            @enderror
                                        </div>

                                        <div class="form-group">
                                            <label for="sale_price">{{ __(' قیمت فروش ویژه') }}</label><i class="required">&nbsp; *</i>
                                            <input id="sale_price" type="sale_price"
                                                   class="form-control @error('sale_price') is-invalid @enderror"
                                                   name="sale_price"
                                                   value="{{$product->sale_price}}" required autocomplete="sale_price">

                                            @error('sale_price')
                                            <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                            @enderror
                                        </div>

                                        <div class="form-group">
                                            <label for="type">{{ __(' نوع محصول') }}</label><i class="required">&nbsp; *</i>
                                            <select id="type" type="text"
                                                    class="form-control @error('type') is-invalid @enderror" name="type"
                                                    required autocomplete="type">
                                                <option value="0" @if($product->type==='ساده') selected='selected' @endif>ساده</option>
                                                <option value="1" @if($product->type==='متغیر') selected='selected' @endif>متغیر</option>
                                                <option value="2" @if($product->type==='باندل') selected='selected' @endif>باندل</option>
                                            </select>

                                            @error('sku')
                                            <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                            @enderror
                                        </div>

                                        <div class="form-group">
                                            <label for="status">{{ __(' وضعیت محصول') }}</label>
                                            <select id="status" type="text"
                                                    class="form-control @error('status') is-invalid @enderror"
                                                    name="status"
                                                    value="{{$product->status}}" required autocomplete="status">
                                                <option value="0">ناموجود</option>
                                                <option value="1" <?php if ($product->status == 1) echo 'selected'?> >
                                                    موجود
                                                </option>
                                            </select>


                                            @error('status')
                                            <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                            @enderror
                                        </div>

                                        <div class="form-group">
                                            <label for="discription">{{ __(' توضیحات  محصول') }}</label>
                                            <textarea id="discription" type="text"
                                                      class="form-control @error('discription') is-invalid @enderror"
                                                      name="discription"

                                                      autocomplete="discription">{{$product->discription}}</textarea>

                                            @error('discription')
                                            <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                            @enderror
                                        </div>

                                        <div class="form-group">

                                            <input id="creator_id" type="hidden"
                                                   class="form-control @error('creator_id') is-invalid @enderror"
                                                   name="creator_id"
                                                   value="{{ auth()->user()->name }}" required autocomplete="creator_id"
                                                   >

                                            @error('creator_id')
                                            <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                            @enderror
                                        </div>

                                        <div class="form-group mb-0">
                                            <div class="">
                                                <button type="submit" class="btn btn-primary">
                                                    {{ __('ویرایش محصول') }}
                                                </button>

                                                <a href={{ route('products.index') }} type="button"
                                                   class="btn btn-warning"> انصراف</a>

                                            </div>
                                        </div>
                                    </form>
                                </div>

                            <div class="card-footer">

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    @endslot

    @slot('script')

    @endslot

@endcomponent
